Fapi_SetAuthCB(3)

NAME
Fapi_SetAuthCB - Fapi_SetAuthCB

SYNOPSIS

  Typedefs

typedef TSS2_RC(* Fapi_CB_Auth) (char const *objectPath, char const *description, char const **auth, void *userData)

  Functions

TSS2_RC Fapi_SetAuthCB (FAPI_CONTEXT *context, Fapi_CB_Auth callback, void *userData)

Detailed Description

FAPI functions to invoke SetAuthCB.

Function Documentation

  TSS2_RC Fapi_SetAuthCB (FAPI_CONTEXT * context, Fapi_CB_Auth callback, void * userData)
This function registers an application-defined function as a callback to allow the TSS to get authorization values from the application.

Parameters
    context The FAPI_CONTEXT
    callback The callback function for auth value retrieval
    userData A pointer that is provided to all callback invocations

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if the context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_SEQUENCE if the synchronous or Async functions are called while the context has another asynchronous operation outstanding, or the Finish function is called while the context does not have an appropriate asynchronous operation outstanding.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.